1

I did install Mint 17 (Qiana) today and I seem to have problems with the window title bars such as chromium title bar. I have limited knowledge of tool kits such as qt or gtk.

From what I read so far, they seem to be two libraries/framework satisfying the same purpose. so on a system with one desktop environment such as gnome, I believe there should be only one framework installed gtk in this case?

Or is there a problem with the window manager?

I was trying to install virtualbox but I found only virtualbox-qt, but later I uninstalled the package and purged conf files.

Is it normal that I see a lot of other qt libraries installed on the system?

gtk libraries:

ii  gir1.2-gtk-3.0                              3.10.8~3+qiana                                      amd64        GTK+ graphical user interface library -- gir bindings
ii  gir1.2-gtkclutter-1.0                       1.4.4-3ubuntu2                                      amd64        GObject introspection data for the GTK+ Clutter library
ii  gir1.2-gtksource-3.0                        3.10.2-0ubuntu1                                     amd64        gir files for the GTK+ syntax highlighting widget
ii  gir1.2-javascriptcoregtk-3.0                2.4.0-1ubuntu2                                      amd64        JavaScript engine library from WebKitGTK+ - GObject introspection data
ii  gir1.2-nmgtk-1.0                            0.9.8.8-0ubuntu4.1-mint1                            amd64        GObject introspection data for libnm-gtk
ii  gtk2-engines:amd64                          1:2.20.2-3ubuntu1                                   amd64        theme engines for GTK+ 2.x
ii  gtk2-engines:i386                           1:2.20.2-3ubuntu1                                   i386         theme engines for GTK+ 2.x
ii  gtk2-engines-murrine:amd64                  0.98.2-0ubuntu2                                     amd64        cairo-based gtk+-2.0 theme engine
ii  gtk2-engines-murrine:i386                   0.98.2-0ubuntu2                                     i386         cairo-based gtk+-2.0 theme engine
ii  gtk2-engines-oxygen:i386                    1.4.5-0ubuntu1                                      i386         Oxygen widget theme for GTK+-based applications
ii  gtk2-engines-pixbuf:amd64                   2.24.23-0ubuntu1                                    amd64        pixbuf-based theme for GTK+ 2.x
ii  gtk2-engines-pixbuf:i386                    2.24.23-0ubuntu1                                    i386         pixbuf-based theme for GTK+ 2.x
ii  ibus-gtk:i386                               1.5.5-1ubuntu3                                      i386         Intelligent Input Bus - GTK+2 support
ii  libcanberra-gtk-module:i386                 0.30-0ubuntu3                                       i386         translates GTK+ widgets signals to event sounds
ii  libcanberra-gtk0:amd64                      0.30-0ubuntu3                                       amd64        GTK+ helper for playing widget event sounds with libcanberra
ii  libcanberra-gtk0:i386                       0.30-0ubuntu3                                       i386         GTK+ helper for playing widget event sounds with libcanberra
ii  libcanberra-gtk3-0:amd64                    0.30-0ubuntu3                                       amd64        GTK+ 3.0 helper for playing widget event sounds with libcanberra
ii  libclutter-gtk-1.0-0:amd64                  1.4.4-3ubuntu2                                      amd64        Open GL based interactive canvas library GTK+ widget
ii  libdbusmenu-gtk3-4:amd64                    12.10.3+14.04.20140319-0ubuntu1                     amd64        library for passing menus over DBus - GTK+ version
ii  libdbusmenu-gtk4:amd64                      12.10.3+14.04.20140319-0ubuntu1                     amd64        library for passing menus over DBus - GTK+ version
ii  libgtk-3-0:amd64                            3.10.8~3+qiana                                      amd64        GTK+ graphical user interface library
ii  libgtk-3-bin                                3.10.8~3+qiana                                      amd64        programs for the GTK+ graphical user interface library
ii  libgtk-3-common                             3.10.8~3+qiana                                      all          common files for the GTK+ graphical user interface library
ii  libgtk-sharp-beans-cil                      2.14.1-3                                            all          Supplementary CLI bindings for GTK 2.14+
ii  libgtk2-perl                                2:1.249-2                                           amd64        Perl interface to the 2.x series of the Gimp Toolkit library
ii  libgtk2.0-0:amd64                           2.24.23-0ubuntu1                                    amd64        GTK+ graphical user interface library
ii  libgtk2.0-0:i386                            2.24.23-0ubuntu1                                    i386         GTK+ graphical user interface library
ii  libgtk2.0-bin                               2.24.23-0ubuntu1                                    amd64        programs for the GTK+ graphical user interface library
ii  libgtk2.0-cil                               2.12.10-5                                           amd64        CLI binding for the GTK+ toolkit 2.12
ii  libgtk2.0-common                            2.24.23-0ubuntu1                                    all          common files for the GTK+ graphical user interface library
ii  libgtkglext1                                1.2.0-3.1fakesync3                                  amd64        OpenGL Extension to GTK+ (shared libraries)
ii  libgtkmm-3.0-1:amd64                        3.10.1-0ubuntu2                                     amd64        C++ wrappers for GTK+ (shared libraries)
ii  libgtksourceview-3.0-1:amd64                3.10.2-0ubuntu1                                     amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview-3.0-common                 3.10.2-0ubuntu1                                     all          common files for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-0                       2.10.5-1ubuntu2                                     amd64        shared libraries for the GTK+ syntax highlighting widget
ii  libgtksourceview2.0-common                  2.10.5-1ubuntu2                                     all          common files for the GTK+ syntax highlighting widget
ii  libgtkspell0                                2.0.16-1ubuntu7                                     amd64        a spell-checking addon for GTK's TextView widget
ii  libjavascriptcoregtk-1.0-0:amd64            2.4.0-1ubuntu2                                      amd64        JavaScript engine library from WebKitGTK+
ii  libjavascriptcoregtk-3.0-0:amd64            2.4.0-1ubuntu2                                      amd64        JavaScript engine library from WebKitGTK+
ii  libnm-gtk-common                            0.9.8.8-0ubuntu4.1-mint1                            all          network management framework (common files for wifi and mobile)
ii  libnm-gtk0                                  0.9.8.8-0ubuntu4.1-mint1                            amd64        network management framework (GNOME dialogs for wifi and mobile)
ii  libreoffice-gtk                             1:4.2.3~rc3-0ubuntu2                                amd64        office productivity suite -- GTK+ integration
ii  libwebkit2gtk-3.0-25:amd64                  2.4.0-1ubuntu2                                      amd64        WebKit2 API layer for WebKitGTK+
ii  libwebkitgtk-1.0-0:amd64                    2.4.0-1ubuntu2                                      amd64        Web content engine library for GTK+
ii  libwebkitgtk-1.0-common                     2.4.0-1ubuntu2                                      all          Web content engine library for GTK+ - data files
ii  libwebkitgtk-3.0-0:amd64                    2.4.0-1ubuntu2                                      amd64        Web content engine library for GTK+
ii  libwebkitgtk-3.0-common                     2.4.0-1ubuntu2                                      all          Web content engine library for GTK+ - data files
ii  mint-themes-gtk3                            3.10-5                                              all          Mint themes for GTK3
ii  python-aptdaemon.gtk3widgets                1.1.1-1ubuntu5                                      all          Python 2 GTK+ 3 widgets to run an aptdaemon client
ii  python-gtk2                                 2.24.0-3ubuntu3                                     amd64        Python bindings for the GTK+ widget set
ii  python-gtksourceview2                       2.10.1-2build1                                      amd64        Python bindings for the GtkSourceView widget
ii  python3-aptdaemon.gtk3widgets               1.1.1-1ubuntu5                                      all          Python 3 GTK+ 3 widgets to run an aptdaemon client
ii  transmission-gtk                            2.82-1.1ubuntu3                                     amd64        lightweight BitTorrent client (GTK+ interface)
ii  xdg-user-dirs-gtk                           0.10-1ubuntu1                                       amd64        tool to manage well known user directories (Gtk extension)

qt libraries:

ii  libaccounts-qt5-1                           1.11+14.04.20140410.1-0ubuntu1                      amd64        QT library for single sign on
ii  libdbusmenu-qt2:amd64                       0.9.3+14.04.20140314-0ubuntu1                       amd64        Qt implementation of the DBusMenu protocol
ii  libqt4-dbus:amd64                           4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 D-Bus module
ii  libqt4-dbus:i386                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 D-Bus module
ii  libqt4-declarative:amd64                    4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 Declarative module
ii  libqt4-declarative:i386                     4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 Declarative module
ii  libqt4-designer:amd64                       4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 designer module
ii  libqt4-designer:i386                        4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 designer module
ii  libqt4-help:amd64                           4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 help module
ii  libqt4-network:amd64                        4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 network module
ii  libqt4-network:i386                         4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 network module
ii  libqt4-opengl:amd64                         4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 OpenGL module
ii  libqt4-opengl:i386                          4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 OpenGL module
ii  libqt4-qt3support:i386                      4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 3 compatibility library for Qt 4
ii  libqt4-script:amd64                         4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 script module
ii  libqt4-script:i386                          4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 script module
ii  libqt4-scripttools:amd64                    4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 script tools module
ii  libqt4-scripttools:i386                     4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 script tools module
ii  libqt4-sql:amd64                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 SQL module
ii  libqt4-sql:i386                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 SQL module
ii  libqt4-svg:amd64                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 SVG module
ii  libqt4-svg:i386                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 SVG module
ii  libqt4-test:amd64                           4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 test module
ii  libqt4-test:i386                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 test module
ii  libqt4-xml:amd64                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 XML module
ii  libqt4-xml:i386                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 XML module
ii  libqt4-xmlpatterns:amd64                    4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 XML patterns module
ii  libqt4-xmlpatterns:i386                     4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 XML patterns module
ii  libqt5core5a:amd64                          5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 core module
ii  libqt5dbus5:amd64                           5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 D-Bus module
ii  libqt5gui5:amd64                            5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 GUI module
ii  libqt5network5:amd64                        5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 network module
ii  libqt5opengl5:amd64                         5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 OpenGL module
ii  libqt5positioning5:amd64                    5.2.1-1ubuntu2                                      amd64        Qt Positioning module
ii  libqt5printsupport5:amd64                   5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 print support module
ii  libqt5qml5:amd64                            5.2.1-3ubuntu15                                     amd64        Qt 5 QML module
ii  libqt5quick5:amd64                          5.2.1-3ubuntu15                                     amd64        Qt 5 Quick library
ii  libqt5sensors5:amd64                        5.2.1+dfsg-2ubuntu2                                 amd64        Qt Sensors module
ii  libqt5sql5:amd64                            5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 SQL module
ii  libqt5sql5-sqlite:amd64                     5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 SQLite 3 database driver
ii  libqt5test5:amd64                           5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 test module
ii  libqt5webkit5:amd64                         5.1.1-1ubuntu8                                      amd64        Web content engine library for Qt
ii  libqt5widgets5:amd64                        5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 widgets module
ii  libqt5xml5:amd64                            5.2.1+dfsg-1ubuntu14                                amd64        Qt 5 XML module
ii  libqtassistantclient4:amd64                 4.6.3-6                                             amd64        Qt Assistant client library (runtime)
ii  libqtcore4:amd64                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 core module
ii  libqtcore4:i386                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 core module
ii  libqtdbus4:amd64                            4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 D-Bus module library
ii  libqtdbus4:i386                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 D-Bus module library
ii  libqtgui4:amd64                             4:4.8.5+git192-g085f851+dfsg-2ubuntu4               amd64        Qt 4 GUI module
ii  libqtgui4:i386                              4:4.8.5+git192-g085f851+dfsg-2ubuntu4               i386         Qt 4 GUI module
ii  libqtwebkit4:amd64                          2.3.2-0ubuntu7                                      amd64        Web content engine library for Qt
ii  libqtwebkit4:i386                           2.3.2-0ubuntu7                                      i386         Web content engine library for Qt
ii  libsignon-qt5-1                             8.56+14.04.20140307-0ubuntu2                        amd64        Single Sign On framework
ii  python-qt4                                  4.10.4+dfsg-1ubuntu1                                amd64        Python bindings for Qt4
ii  python-qt4-dbus                             4.10.4+dfsg-1ubuntu1                                amd64        D-Bus Support for PyQt4
ii  qt-at-spi:amd64                             0.3.1-4fakesync1                                    amd64        at-spi accessibility plugin for Qt
ii  qtchooser                                   39-g4717841-3                                       amd64        Wrapper to select between Qt development binary versions
ii  qtcore4-l10n                                4:4.8.5+git192-g085f851+dfsg-2ubuntu4               all          Qt 4 core module translations
ii  sni-qt:amd64                                0.2.6-0ubuntu1                                      amd64        indicator support for Qt

chromium title bar

1 Answer 1

0

It seems absolutely normal to have those packages installed. On my system Mint 17 system I have the same.

If you think there are libraries left that are no longer needed you can always issue a:

sudo apt-get autoremove

to get rid of them, but I guess that will not bring you anything.

If you have apt-rdepends installed you can can use:

apt-rdepends -r --state-follow=Installed --state-show=Installed libqtdbus4

to see what (reverse) dependencies for an installed package on your system. (You can also use apt-get remove packagename and then abort the action as a primitive alternative for seeking out dependencies).

From the above apt-rdepends invocation it looks like vlc is the program that is installed by default and requires the qt libraries.

4
  • thanks for your comments. i can also confirm the most of the qt packages have been installed because of vlc. i can understand a handful of qt libraries may not be a problem. but would you recommend installing kde applications on a gnome desktop environment; would it not cause conflicts with packages that came with gnome apps? by the way, do you have title bar problems with the chromium Version 34.0.1847.116 Built on Ubuntu 14.04, running on LinuxMint 17 aura (260972) ?
    – rag
    Jul 9, 2014 at 22:58
  • @rag I have been using vlc under Ubuntu for years, as well as other KDE applications when the Ubuntu version did not please me. In those 8+ years I never found a problem with having Qt installed, that is why I use a distribution, so that all those things just work (at the expense of not having always the latest version of an app).
    – Anthon
    Jul 10, 2014 at 4:22
  • hi, what do you mean by "so that all those things just work (at the expense of not having always the latest version of an app)"
    – rag
    Jul 11, 2014 at 7:52
  • @rag Sometimes Ubuntu, for compatibility or maintenance reasons, just doesn't have the latest version of some software. And if you use a LTS release like Ubuntu 12.04 you don't have the latest/greatest, but it all works together.
    – Anthon
    Jul 11, 2014 at 9:03

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .